const gulp = require("gulp");
const rename = require("gulp-rename");
const babel = require("gulp-babel");


gulp.task("compile", function () {
    return gulp.src(["./src/**/*.js"])
        .pipe(babel({
            presets: ['es2015'],
            plugins:
            [
                "transform-class-properties",
                "transform-decorators",
                "transform-object-rest-spread",
                "transform-eval"
            ]
        }))
        .pipe(rename({ dirname: '' }))
        .pipe(gulp.dest("./dist"));

});

